Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159949 - RFE: Apply Patch should have "interactive merge"
Summary: RFE: Apply Patch should have "interactive merge"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 16:18 UTC by Dave Malcolm
Modified: 2010-08-25 15:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-25 15:24:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 79372 None None None Never

Description Dave Malcolm 2005-06-09 16:18:31 UTC
If I try applying a patch that has rejected pieces, it's not at all clear how to
merge them; all the dialog shows is the before/after sides of the diff from the
patch, without showing the corresponding part of the target source tree.

It would be great to have some kind of 3-way view that lets me manually fix
up/apply the pieces that were rejected (where do they go, if anywhere? .rej
files?) by editing the target source tree.

I've added a reference to an upstream bug I found for this; I filed this one in
RH bugzilla since it feels like an important issue for Open Source hackers (in
all languages) - we're constantly working with patches from various sources.

Comment 1 Andrew Overholt 2006-01-17 16:47:34 UTC
The upstream patch functionality has been re-worked.  I'd like to try to
back-port it to 3.1.x but it might be too risky.  I'll investigate.

I have ideas myself that I may take a stab at implementing.  I'll post here when
my stuff is a bit more concrete.

Comment 2 Alexander Kurtakov 2010-08-25 10:25:11 UTC
There is Synchronize with patch witch should give a lot more possibilities than the old apply patch. Do you think it is sufficient so we can close this bug?
See http://download.eclipse.org/eclipse/downloads/drops/R-3.6-201006080911/eclipse-news-part1.html#TeamCVS for details

Comment 3 Dave Malcolm 2010-08-25 15:13:31 UTC
(In reply to comment #2)
> There is Synchronize with patch witch should give a lot more possibilities than
> the old apply patch. Do you think it is sufficient so we can close this bug?

I'm afraid I haven't used Eclipse in a while, so I can't really answer.

IIRC, I made an effort to use Eclipse in my day-to-day workflow (C development, Fedora/RHEL packaging, autotooled projects) back in 2005, and filed various bugs relating to the difficult aspects, and I believe this was one of them.  So it's difficult to say if this addresses the issue or not, perhaps it does.

Feel free to close.

Comment 4 Alexander Kurtakov 2010-08-25 15:24:27 UTC
Closing the bug in this case. There is no point in having open bug noone is going to test or look at.


Note You need to log in before you can comment on or make changes to this bug.